---
title: Document.fgColor
slug: Web/API/Document/fgColor
tags:
  - API
  - Deprecated
  - HTML DOM
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{ApiRef}}{{Deprecated_header}}</div>

<p><strong><code>fgColor</code></strong> gets/sets the foreground color, or text color, of the current document.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>color</var> = <var>document</var>.fgColor;
<var>document</var>.fgColor = <var>color;</var>
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><var>color</var> is a string representing the color as a word (e.g., "red") or hexadecimal value (e.g., "<code>#ff0000</code>").</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">document.fgColor = "white";
document.bgColor = "darkblue";
</pre>

<h2 id="Notes">Notes</h2>

<p>The default value for this property in Mozilla Firefox is black (<code>#000000</code> in hexadecimal).</p>

<p><code>document.fgColor</code> is <a href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-26809268">deprecated in DOM Level 2 HTML</a>. The recommended alternative is the CSS property {{Cssxref("color")}} (e.g., <code>document.body.style.color = "red"</code>).</p>

<p>Another alternative is <code>document.body.text</code>, although this is <a href="http://www.w3.org/TR/html401/struct/global.html#adef-text">deprecated in HTML 4.01</a> in favor of the CSS alternative above.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.fgColor")}}</p>
